## libtool 2.4

=== debian/changelog ===
libtool (2.4-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Added debian/patches/skip_nonpic_on_arm.patch.
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Fix the 'clean' target for the case where tests are not run.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 May 2011 11:49:14 +0200

libtool (2.4-2) unstable; urgency=low

  * Add support for hurd (Closes: #612204)
    Patches from Svante Signell <srs@kth.se> and
    Pino Toscano <toscano.pino@tiscali.it>

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 07 Apr 2011 21:57:09 +0200

libtool (2.4-1) unstable; urgency=low

  * New upstream release
    - Update build-depends to automake (>= 1:1.11.1), autoconf (>= 2.62)
    - Update patches to apply to current version:
      - link_all_deplibs.patch
      - deplib_binary.patch
  * convert to a 3.0 (quilt) source format, and drop quilt build-dependency.
  * Make tagdemo link to libfoo (Closes: #619845)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Apr 2011 19:07:56 +0000

libtool (2.2.10-1) experimental; urgency=low

  * New upstream release (Closes: #586246)
    - Change license of documentation to GFDL 1.3
    - Upstream now provides manpages for libtool and libtoolize, use
      those instead of our own.
    - drop lt_dlopenext.patch, bogus_directory.patch,
      skip_setlocale.patch, kopensolaris.patch and
      gold_symbol_versioning.patch applied upstream.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 20:09:14 +0200

libtool (2.2.6b-2ubuntu3) natty; urgency=low

  * Fix the 'unpatch' target to clean up .pc afterwards

  [ Peter Pearse ]
  * Fix the 'clean' target for the case where tests are not run.
    LP #720815.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 06 Mar 2011 17:07:25 -0800

libtool (2.2.6b-2ubuntu2) natty; urgency=low

  * Link tagdemo test with --copy-dt-needed-entries.
  * Mark Java convenience test as an expected failure, due to
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2011 10:25:50 +0000

libtool (2.2.6b-2ubuntu1) lucid; urgency=high

  * Added debian/patches/skip_nonpic_on_arm.patch: (LP: #503176)
    - This disables the non-PIC tests on ARM. Attempting to build a non-PIC
      library on ARMv7 causes the toolchain to bomb. This is a temporary 
      workaround for Launchpad Bug #503448, this patch can be dropped once
      GCC properly supports non-PIC shared libraries on ARMv7.

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 05 Jan 2010 11:28:20 -0500

libtool (2.2.6b-2) unstable; urgency=low

  * Add build depedency on zlib1g-dev needed by the search-path.at
    testsuite test.  (Closes: #560219)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 09 Dec 2009 21:51:21 +0100

libtool (2.2.6b-1) unstable; urgency=low

  * New upstream release
    - Fixes CVE-2009-3736 (Closes: #559797)
  * Skip demo-deplibs.test.  This is basicly the same as
    deplibs_test_disable.patch from the 1.5.26 version.
  * Skip the link-order2.at test.  It has the same problem
    as the deplibs test.
  * Since deplibs-ident.at now passes, just let it return that
    the result is ok.
  * Skip localization test when setlocale is not functional.
  * Renable test suite.
  * Remove the "Apps/" part of the doc-base entry.
  * Change debhelper compatibility to 7.
  * Replace dh_clean -k with dh_prep
  * Change build dependency of automake to 1.10.1 (Closes: #542190)
  * Add support for GNU/kOpenSolaris (Closes: #545687)
  * Update Standards-Version from 3.8.1 to 3.8.3: No changes required.
  * Add ${misc:Depends} to libtool-doc's Depends so we have proper
    depedencies for it.
  * Build-Conflict against gcj for now, to avoid a regression test
    failure.  See #555801.
  * Symbol versioning works with the GNU gold linker now. (Closes: #554821)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 09 Dec 2009 20:05:39 +0100

libtool (2.2.6a-4) unstable; urgency=low

  * link_all_deplibs was only set to no for the CXX tag.  Set it to no
    again for all tags.  (Closes: #522663)
  * Don't let a failed testsuite also fail to build for now.  The combination
    of setting link_all_deplibs=no and the deplib_binary.patch make some test
    fail, but those look like testsuite errors.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 07 Apr 2009 19:55:06 +0200

libtool (2.2.6a-3) unstable; urgency=low

  * Don't pull in depedency libs when linking a binary.  (Closes: #522663)
  * DEB_BUILD_OPTIONS nocheck worked inverted.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 06 Apr 2009 22:43:44 +0200

libtool (2.2.6a-2) unstable; urgency=low

  * Rename libltdl7-dev to libltdl-dev, and make it provide libltdl3-dev
    and libltdl7-dev.
  * We don't have an arm arch anymore, so remove from build depedency
    exception.  Instead add hppa since that doesn't have gcj.
  * Add all info pages (Closes: #495411, #512013)
  * Force /bin/bash as shell of /usr/bin/libtool instead of /bin/sh.  The
    generate scripts excepts to have them same shell when it's run.
    (Closes: #512013, #518905)
  * Do not add bogus directory arguments to link command lines.
    Patch from upstream. (Closes: #517501)
  * Fix bogus error on successful loading of library with lt_dlopenext.
    Patch already applied upstream. (Closes: #510006)
  * Add support for the DEB_BUILD_OPTIONS nocheck option
  * Update to Standards-Version 3.8.1

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 30 Mar 2009 22:40:04 +0200

libtool (2.2.6a-1) experimental; urgency=low

  * New upstream release (Closes: #501783)
  * libtool.info-1 anddoc/libtool.info-2 are change during build,
    remove during clean.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Nov 2008 20:41:42 +0100

libtool (2.2.2-1) experimental; urgency=low

  * New upstream release (Closes: #470057)
  * Remove fortran 77 build dependencies (Closes: #463744)
  * Make sure that we use atleast automake 1.10
  * Merge with unstable:

