## libtool 2.4.2

=== debian/changelog ===
libtool (2.4.2-1.7ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2014 13:31:11 +0100

libtool (2.4.2-1.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in in the ppc64el guessing in config.guess.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Feb 2014 12:36:45 +0100

libtool (2.4.2-1.6ubuntu3) trusty; urgency=medium

  * Switch libtool back to Multi-Arch: foreign for now, as Multi-Arch:
    allowed causes widespread problems with cross-building (see
    https://lists.debian.org/debian-devel/2014/01/msg00182.html).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Jan 2014 17:32:08 +0000

libtool (2.4.2-1.6ubuntu2) trusty; urgency=medium

  * Revert the package split and mark libtool Multi-Arch: allowed.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Jan 2014 01:40:16 -0700

libtool (2.4.2-1.6ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Split-out the libtool binary into a libtool-bin package, which
    is not Multi-Arch: foreign. Let libtool recommend libtool-bin.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 18:34:51 +0100

libtool (2.4.2-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild using the recent automake 1.14.1 version. Closes: #733935.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2014 19:23:20 +0100

libtool (2.4.2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the powerpc little endian support, outdated in the Debian
    patch in #726404.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2014 18:29:44 +0100

libtool (2.4.2-1.4) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Add powerpc little endian updates. Closes: #726404.
  * Build-conflict with and suggest gcj-jdk instead of gcj.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jan 2014 22:03:26 +0100

libtool (2.4.2-1.3ubuntu2) trusty; urgency=low

  * powerpc*le-linux support (taken from upstream).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2013 11:43:38 +0100

libtool (2.4.2-1.3ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jul 2013 17:18:15 +0100

libtool (2.4.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on help2man (closes: #712413).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jul 2013 18:33:15 +0100

libtool (2.4.2-1.2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Dropped change (apparently no longer needed):
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2012 16:13:47 +0000

libtool (2.4.2-1.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Backport support for x32 from upstream git.  Closes: #692222.

 -- Daniel Schepler <schepler@debian.org>  Fri, 23 Nov 2012 15:26:44 -0800

libtool (2.4.2-1.1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2012 08:39:13 +0000

libtool (2.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream fix for hurd-i386 linker flags (Closes: #648514).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jun 2012 00:05:43 +0200

libtool (2.4.2-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 09:39:10 +0100

libtool (2.4.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Dropped changes, included in Debian:
    - Build libltdl for multiarch.
  * Dropped changes:
    - Fix the 'clean' target for the case where tests are not run: this
      seems to be solved upstream, clean works fine after a
      DEB_BUILD_OPTIONS=nocheck run without this.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Nov 2011 22:36:13 -0800

libtool (2.4.2-1) unstable; urgency=low

  * New upstream release
    Remove patches applied upstream:
    - define_shlibpath_overrides_runpath4hurd.patch
    - tagdemo-libfoo.patch
  * Remove disable_cmdline_wrap4hurd.patch as it never really was
    needed in the first place.  The other tests failing made the
    cmdline_wrap test fail.
  * Add multiarch support.  Patch from
    Steve Langasek <steve.langasek@canonical.com>  (Closes: #646771)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 29 Oct 2011 20:08:48 +0200

libtool (2.4-4ubuntu4) precise; urgency=low

  * Er, *actually* mark libtool multi-arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 00:50:21 -0400

libtool (2.4-4ubuntu3) precise; urgency=low

  * Mark libtool Multi-Arch: foreign; needed because it's a
    build-dependency.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 04:45:32 +0000

libtool (2.4-4ubuntu2) precise; urgency=low

  * Build libltdl for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Oct 2011 22:02:08 +0000

libtool (2.4-4ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:

