=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libtool
-Build-Depends: debhelper (>= 7.0), texi2html, texinfo, file, gfortran | fortran95-compiler, automake (>= 1:1.11.1), autoconf (>= 2.62), autotools-dev, zlib1g-dev
-Build-Conflicts: automake1.9, gcj
+Build-Depends: debhelper (>= 8.1.3~), texi2html, texinfo, file, gfortran | fortran95-compiler, automake (>= 1:1.11.1), autoconf (>= 2.62), autotools-dev, help2man, zlib1g-dev
+Build-Conflicts: automake1.9, gcj-jdk
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
@@ -10,10 +10,12 @@
 
 Package: libtool
 Architecture: any
+Multi-Arch: foreign
 Section: devel
 Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
-Suggests: libtool-doc, autoconf (>> 2.50), automaken, gfortran | fortran95-compiler, gcj
-Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
+Suggests: libtool-doc, autoconf (>> 2.50), automaken, gfortran | fortran95-compiler, gcj-jdk
+Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4, libtool-bin
+Replaces: libtool-bin
 Recommends: libltdl-dev
 Description: Generic library support script
  This is GNU libtool, a generic library support script.  Libtool hides
@@ -42,7 +44,9 @@
 
 Package: libltdl7
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}
 Description: A system independent dlopen wrapper for GNU libtool
  This package contains the run-time libltdl library.
@@ -61,6 +65,7 @@
 
 Package: libltdl-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Suggests: libtool-doc
 Recommends: libtool
