=== debian/control ===
--- 
+++ 
@@ -1,21 +1,35 @@
 Source: libtool
-Build-Depends: debhelper (>= 8.1.3~), texi2html, texinfo, file, gfortran | fortran95-compiler, automake (>= 1:1.11.1), autoconf (>= 2.62), autotools-dev, help2man, zlib1g-dev
+Build-Depends: debhelper (>= 9~),
+  file,
+  gfortran | fortran95-compiler,
+  automake (>= 1:1.14.1-3),
+  autoconf (>= 2.69-7),
+  autotools-dev,
+  help2man,
+  texinfo,
+  zlib1g-dev,
+  gnulib,
+  libltdl-dev
 Build-Conflicts: automake1.9, gcj-jdk
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Standards-Version: 3.8.3
-Homepage: http://www.gnu.org/software/libtool/
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Homepage: https://www.gnu.org/software/libtool/
+Vcs-Browser: https://salsa.debian.org:/mckinstry/libtool.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/libtool.git
 
 Package: libtool
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Section: devel
-Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
+Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev,
+  file,
+  autotools-dev,
+  ${misc:Depends}
 Suggests: libtool-doc, autoconf (>> 2.50), automaken, gfortran | fortran95-compiler, gcj-jdk
-Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4, libtool-bin
-Replaces: libtool-bin
+Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
 Recommends: libltdl-dev
 Description: Generic library support script
  This is GNU libtool, a generic library support script.  Libtool hides
@@ -27,8 +41,26 @@
  .
  Libtool supports generation of C, C++, Fortran and Java libraries.
 
+Package: libtool-bin
+Architecture: any
+Section: devel
+Depends: libtool (>= ${source:Version}), ${misc:Depends}
+Replaces: libtool (<< 2.4.2-1.8~)
+Description: Generic library support script (libtool binary)
+ This is GNU libtool, a generic library support script.  Libtool hides
+ the complexity of generating special library types (such as shared
+ libraries) behind a consistent interface.  To use libtool, add the
+ new generic library building commands to your Makefile, Makefile.in,
+ or Makefile.am.  See the documentation for details.  Libtool supports
+ building static libraries on all platforms.
+ .
+ Libtool supports generation of C, C++, Fortran and Java libraries.
+ .
+ This package contains the libtool binary only.
+
 Package: libtool-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Conflicts: libtool1.4-doc
@@ -47,8 +79,8 @@
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}
-Description: A system independent dlopen wrapper for GNU libtool
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: System independent dlopen wrapper for GNU libtool
  This package contains the run-time libltdl library.
  .
  A small library that aims at hiding the various difficulties of
@@ -72,8 +104,8 @@
 Conflicts: libtool (<< 1.5.20), libtool1.4, libltdl3-dev, libltdl7-dev
 Replaces: libtool (<< 1.5.20), libltdl3-dev, libltdl7-dev
 Provides: libltdl3-dev, libltdl7-dev
-Depends: libltdl7 (= ${binary:Version})
-Description: A system independent dlopen wrapper for GNU libtool
+Depends: libltdl7 (= ${binary:Version}), ${misc:Depends}, ${automake}
+Description: System independent dlopen wrapper for GNU libtool
  This package contains the header files and static libraries for the
  libltdl package.
  .
